<?php

namespace Bixo\Document;

use DB;
use Illuminate\Database\Seeder;

class DocumentsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('documents')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'document.documents.view',
                'name'      => 'View Documents',
            ],
            [
                'slug'      => 'document.documents.create',
                'name'      => 'Create Documents',
            ],
            [
                'slug'      => 'document.documents.edit',
                'name'      => 'Update Documents',
            ],
            [
                'slug'      => 'document.documents.delete',
                'name'      => 'Delete Documents',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/document/documents',
                'name'        => 'Documents',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/document/documents',
                'name'        => 'Documents',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'documents',
                'name'        => 'Documents',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Document',
                'module'    => 'Documents',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'document.documents.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
