<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for documents in document package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  documents module in document package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Documents',
    'names'         => 'Documents',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Documents',
        'sub'   => 'Documents',
        'list'  => 'List of documents',
        'edit'  => 'Edit documents',
        'create'    => 'Create new documents'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'documentable_id'            => 'Please enter documentable id',
        'documentable_type'          => 'Please enter documentable type',
        'type'                       => 'Please enter type',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'expiry_date'                => 'Please select expiry date',
        'files'                      => 'Please enter files',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'documentable_id'            => 'Documentable id',
        'documentable_type'          => 'Documentable type',
        'type'                       => 'Type',
        'title'                      => 'Title',
        'description'                => 'Description',
        'expiry_date'                => 'Expiry date',
        'files'                      => 'Files',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'documentable_id'            => ['name' => 'Documentable id', 'data-column' => 1, 'checked'],
        'documentable_type'          => ['name' => 'Documentable type', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 4, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 5, 'checked'],
        'expiry_date'                => ['name' => 'Expiry date', 'data-column' => 6, 'checked'],
        'files'                      => ['name' => 'Files', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Documents',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
