<?php

namespace Bixo\Document\Repositories\Eloquent;

use Bixo\Document\Interfaces\DocumentsRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DocumentsRepository extends BaseRepository implements DocumentsRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.document.documents.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.document.documents.model.model');
    }
}
